public
Created

Strange issue with bundler and nokogiri, Pt. 2 - Divergent LOAD_PATH

  • Download Gist
IRB_Session_Bundler_LOAD_PATH
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40
[x@y master]$ irb
irb(main):001:0> puts $LOAD_PATH
/usr/local/share/ruby/site_ruby
/usr/local/lib/ruby/site_ruby
/usr/share/ruby/vendor_ruby
/usr/lib/ruby/vendor_ruby
/usr/share/rubygems
/usr/share/ruby
/usr/lib/ruby
=> nil
irb(main):002:0> require "bundler/setup"
=> true
irb(main):003:0> puts $LOAD_PATH
/usr/share/gems/gems/pygments.rb-0.2.12/lib
/usr/share/gems/gems/rubypython-0.5.3/lib
/usr/share/gems/gems/nanoc-3.4.0/lib
/usr/share/gems/gems/loofah-1.2.1/lib
/usr/share/gems/gems/nokogiri-1.5.4/lib
/usr/share/gems/gems/ffi-1.0.11/lib
/usr/share/gems/gems/ffi-1.0.11/ext
/usr/share/gems/gems/cri-2.3.0/lib
/usr/share/gems/gems/colored-1.2/lib
/usr/share/gems/gems/blankslate-2.1.2.4/lib
/usr/share/gems/gems/bundler-1.1.4/lib
/usr/local/share/ruby/site_ruby
/usr/local/lib/ruby/site_ruby
/usr/share/ruby/vendor_ruby
/usr/lib/ruby/vendor_ruby
/usr/share/rubygems
/usr/share/ruby
/usr/lib/ruby
=> nil
irb(main):004:0> require "nokogiri"
LoadError: cannot load such file -- nokogiri/nokogiri
from /usr/share/gems/gems/nokogiri-1.5.4/lib/nokogiri.rb:27:in `require'
from /usr/share/gems/gems/nokogiri-1.5.4/lib/nokogiri.rb:27:in `<top (required)>'
from (irb):4:in `require'
from (irb):4
from /usr/bin/irb:12:in `<main>'
irb(main):005:0> exit
IRB_Session_Nokogiri_LOAD_PATH
1 2 3 4 5 6 7 8 9 10 11 12 13 14
irb(main):002:0> require "nokogiri"
=> true
irb(main):003:0> puts $LOAD_PATH
/usr/share/gems/gems/nokogiri-1.5.4/lib
/usr/lib/gems/exts/nokogiri-1.5.4/lib
/usr/local/share/ruby/site_ruby
/usr/local/lib/ruby/site_ruby
/usr/share/ruby/vendor_ruby
/usr/lib/ruby/vendor_ruby
/usr/share/rubygems
/usr/share/ruby
/usr/lib/ruby
=> nil
irb(main):004:0> exit

Please sign in to comment on this gist.

Something went wrong with that request. Please try again.